
Name:    libqzeitgeist
Summary: Qt Zeitgeist Library
Version: 0.8.0
Release: 15%{?dist}

License: LGPLv2+
URL:     http://projects.kde.org/projects/kdesupport/libqzeitgeist 
Source0: http://download.kde.org/stable/libqzeitgeist/%{version}/src/libqzeitgeist-%{version}.tar.bz2

## upstreamable patches

## upstream patches
# fix linking (don't link the Qt world, including QtWebkit, only use QT_DECLARATIVE_LIBRARIES)
# consistently use QT_IMPORTS_DIR
Patch100: libqzeitgeist-0.8.0-declarative.patch
# reduce linking in libqzeitgeist too
Patch101: libqzeitgeist-0.8.0-reduced_linking.patch

BuildRequires: automoc4
BuildRequires: cmake
BuildRequires: pkgconfig(QtDBus) pkgconfig(QtDeclarative) pkgconfig(QtXml)
BuildRequires: zeitgeist

# Similar to libzeitgeist, drop the hard dependency on zeitgeist here
# https://bugzilla.redhat.com/show_bug.cgi?id=861754
#Requires: zeitgeist

%description
A Qt interface to the Zeitgeist event tracking system.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}


%prep
%setup -q 

%patch100 -p1 -b .declarative
%patch101 -p1 -b .reduced_linking


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%check
export PKG_CONFIG_PATH=%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion QZeitgeist)" = "%{version}"


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING README
%{_libdir}/libqzeitgeist.so.%{version}
%{_libdir}/libqzeitgeist.so.1
%{_qt4_importdir}/org/

%files devel
%{_includedir}/QZeitgeist/
%{_libdir}/libqzeitgeist.so
%{_libdir}/cmake/QZeitgeist/
%{_libdir}/pkgconfig/QZeitgeist.pc


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.8.0-13
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 03 2012 Rex Dieter <rdieter@fedoraproject.org> 0.8.0-8
- drop Requires: zeitgeist (#861754)

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 02 2012 Rex Dieter <rdieter@fedoraproject.org> 0.8.0-6
- fixup Source0 URL
- Requires: zeitgeist

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Rex Dieter <rdieter@fedoraproject.org> 0.8.0-4
- component description has very low information content (#757719)

* Mon Oct 31 2011 Rex Dieter <rdieter@fedoraproject.org> 0.8.0-3
- reduced linking for libqzeitgeist too

* Mon Oct 31 2011 Rex Dieter <rdieter@fedoraproject.org> 0.8.0-2
- declarative patch

* Thu Oct 27 2011 Rex Dieter <rdieter@fedoraproject.org> 0.8.0-1
- 0.8.0

* Fri May 20 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7.0-1
- first try

